local HardFinger = _G.HardFinger
--local HardFinger.Encounter_Options = {}
--local Encounter_Options = HardFinger.Encounter_Options

Encounters_Options = {
	["Vault of the Wardens"] = {
				[2] = { type = "DropDown", var = "dropDownSelectedBoss", type2 = "ParentDropDown2", label = "Select the boss:", list = { ["TRASH"] = "trashVault of the Wardens",
																									["Tirathon Saltheril"] = "Tirathon Saltheril",
																									["Inquisitor Tormentorum"] = "Inquisitor Tormentorum",
																									["Ash'golm"] = "Ash'golm",}},
			},
	["trashVault of the Wardens"] = {
				[3] = { var = "trackWhoPulled", label = "Announces who pulled!!.", tip = ""},
	},
	["Tirathon Saltheril"] = {
				[3] = { var = "trackWhoPulled", label = "Announces who pulled!!.", tip = ""},
			},
			
	["Maw of Souls"] = {
				[2] = { type = "DropDown", var = "dropDownSelectedBoss", type2 = "ParentDropDown2", label = "Select the boss:", list = { ["TRASH"] = "trashMaw of Souls",
																									["Ymiron, the Fallen King"] = "Ymiron, the Fallen King",
																									["Harbaron"] = "Harbaron",
																									["Helya"] = "HelyaMawOfSouls",}},
			},
	["trashMaw of Souls" ] = {
				[3] = { var = "trackWhoPulled", label = "Announces who pulled!!.", tip = ""},
			},
	["HelyaMawOfSouls"] = {
				[3] = { var = "trackWhoPulled", label = "Announces who pulled!!.", tip = ""},
			},

			
			
	["Eye of Azshara"] = {
				[2] = { type = "DropDown", var = "dropDownSelectedBoss", type2 = "ParentDropDown2", label = "Select the boss:", list = { ["TRASH"] = "trashEye of Azshara",
																									["Warlord Parjesh"] = "Warlord Parjesh",
																									["Serpentrix"] = "Serpentrix",
																									["Wrath of Azshara"] = "Wrath of Azshara",}},
			},
	["trashEye of Azshara"] = {
				[3] = { var = "trackWhoPulled", label = "Announces who pulled!!.", tip = ""},
			},
	["Warlord Parjesh"] = {
				[3] = { var = "trackWhoPulled", label = "Announces who pulled!!.", tip = ""},
			},
			
	-- Trial of Valor
	["Odyn"] = {
				[2] = { var = "trackWhoPulled", label = "Announces who pulled.", tip = ""},
				[3] = { var = "SpearOfLightHits", label = "Track Spear of Light hits", tip = ""},
			},
	["Guarm"] = {
				[2] = { var = "trackWhoPulled", label = "Announces who pulled.", tip = ""},
				[3] = { var = "MixedElementsDeath", label = "Mixed Elements (instant-death due to wrong debuff) deaths", tip = "Also applies to Mythic difficulty Volatile Foam deaths.", y = 3},
					[4] = { type = "DropDown", var = "MixedElementsDeathAction", label = ":", attachTo = 3, list = { ["Track only"] = 1, ["Announce on chat only"] = 2, ["Track and Announce"] = 3,}},				
				[5] = { var = "TrampleHits", label = "Trample hits", tip = "", y = 3},
					[6] = { type = "DropDown", var = "TrampleHitsAction", label = ":", attachTo = 5, list = { ["Track only"] = 1, ["Announce on chat only"] = 2, ["Track and Announce"] = 3,}},				
				[7] = { var = "TrampleDeath", label = "Trample deaths", tip = "", y = 3},
					[8] = { type = "DropDown", var = "TrampleDeathAction", label = ":", attachTo = 7, list = { ["Track only"] = 1, ["Announce on chat only"] = 2, ["Track and Announce"] = 3,}},
				[9] = { var = "FlashingFangsHits", label = "Non-tanks Flashing Fangs hits", tip = "", y = 3},
					[10] = { type = "DropDown", var = "FlashingFangsHitsAction", label = ":", attachTo = 9, list = { ["Track only"] = 1, ["Announce on chat only"] = 2, ["Track and Announce"] = 3,}},				
				[11] = { var = "FlashingFangsDeath", label = "Non-tanks Flashing Fangs deaths", tip = "", y = 3},
					[12] = { type = "DropDown", var = "FlashingFangsDeathAction", label = ":", attachTo = 11, list = { ["Track only"] = 1, ["Announce on chat only"] = 2, ["Track and Announce"] = 3,}},	
				[13] = { var = "BreathSoak", label = "Announce & Track who dind't soak Guardian's Breath.", tip = ""},
			},
	["Helya"] = {
				[2] = { var = "trackWhoPulled", label = "Announces who pulled.", tip = ""},
				[3] = { var = "DamageDoneBilewater", label = "Track damage done on Bilewater Slime.", tip = ""},
				[4] = { var = "OrbsDeath", label = "Corruption & Corrosion Orbs death", tip = "", y = 3},
					[5] = { type = "DropDown", var = "OrbsDeathAction", label = ":", attachTo = 4, list = { ["Track only"] = 1, ["Announce on chat only"] = 2, ["Track and Announce"] = 3,}},
				[6] = { var = "TaintOfSeaHit", label = "Taint of Sea (green puddle) hits", tip = "", y = 3},
					[7] = { type = "DropDown", var = "TaintOfSeaHitAction", label = ":", attachTo = 6, list = { ["Track only"] = 1, ["Announce on chat only"] = 2, ["Track and Announce"] = 3,}},
				[8] = { var = "TaintOfSeaDeath", label = "Taint of Sea deaths", tip = "", y = 3},
					[9] = { type = "DropDown", var = "TaintOfSeaDeathAction", label = ":", attachTo = 8, list = { ["Track only"] = 1, ["Announce on chat only"] = 2, ["Track and Announce"] = 3,}},
				[10] = { var = "BreathsHits", label = "Non-tanks Bilewater & Corrupted hits", tip = "", y = 3},
					[11] = { type = "DropDown", var = "BreathsHitsAction", label = ":", attachTo = 10, list = { ["Track only"] = 1, ["Announce on chat only"] = 2, ["Track and Announce"] = 3,}},
				[12] = { var = "BreathsDeath", label = "Bilewater & Corrupted deaths", tip = "", y = 3},
					[13] = { type = "DropDown", var = "BreathsDeathAction", label = ":", attachTo = 12, list = { ["Track only"] = 1, ["Announce on chat only"] = 2, ["Track and Announce"] = 3,}},
				[14] = { var = "AnchorSlamHits", label = "Non-tanks Grimelord's Anchor Slam hits", tip = "", y = 3},
					[15] = { type = "DropDown", var = "AnchorSlamHitsAction", label = ":", attachTo = 14, list = { ["Track only"] = 1, ["Announce on chat only"] = 2, ["Track and Announce"] = 3,}},
				[16] = { var = "AnchorSlamDeath", label = "Grimelord's Anchor Slam deaths", tip = "", y = 3},
					[17] = { type = "DropDown", var = "AnchorSlamDeathAction", label = ":", attachTo = 16, list = { ["Track only"] = 1, ["Announce on chat only"] = 2, ["Track and Announce"] = 3,}},
				[18] = { var = "SludgeNovaHits", label = "Grimelord's Sludge Nova hits", tip = "", y = 3},
					[19] = { type = "DropDown", var = "SludgeNovaHitsAction", label = ":", attachTo = 18, list = { ["Track only"] = 1, ["Announce on chat only"] = 2, ["Track and Announce"] = 3,}},
				[20] = { var = "SludgeNovaDeath", label = "Grimelord's Sludge Nova deaths", tip = "", y = 3},
					[21] = { type = "DropDown", var = "SludgeNovaDeathAction", label = ":", attachTo = 20, list = { ["Track only"] = 1, ["Announce on chat only"] = 2, ["Track and Announce"] = 3,}},
				[22] = { var = "RotSpread", label = "Fetid Rot spreads", tip = "", y = 3},
					[23] = { type = "DropDown", var = "RotSpreadAction", label = ":", attachTo = 22, list = { ["Track only"] = 1, ["Announce on chat only"] = 2, ["Track and Announce"] = 3,}},
			},
	["Skorpyron"] = {
				[2] = { var = "trackWhoPulled", label = "Announces who pulled.", tip = ""},
				[3] = { var = "trackShockwave", label = "Shockwave", tip = "Will track based whether people have their debuffs at the time Shockwave cast finishes.", y = 3},
					[4] = { type = "DropDown", var = "ShockwaveAction", label = ":", attachTo = 3, list = { ["Track only"] = 1, ["Announce on chat only"] = 2, ["Track and Announce"] = 3,}},
				[5] = { var = "trackArcanoslashDamage", label = "Track Arcanoslash total damage taken on non-tanks.", tip = ""},
				[6] = { var = "trackArcanoslashDeaths", label = "Track deaths by Arcanoslash.", tip = ""},
				[7] = { var = "trackBlast", label = "Track Focused Blast total times hit.", tip = ""},
				[8] = { var = "trackChitin", label = "Track Chitin (green poison) total damage taken.", tip = ""},
				[9] = { var = "trackRedCrystalPulseDamage", label = "[Mythic] Track red crystal PULSE total damage taken.", tip = ""},
				[10] = { var = "trackRedCrystalPulseDeaths", label = "[Mythic] Track deaths by red crystal PULSE.", tip = ""},
				[12] = { var = "trackRedCrystalExplosionDamage", label = "[Mythic] Track red crystal EXPLOSION total damage taken.", tip = ""},
				[13] = { var = "trackRedCrystalExplosionDeaths", label = "[Mythic] Track deaths by red crystal EXPLOSION.", tip = ""},
			},
	["Chronomatic Anomaly"] = {
				[2] = { var = "trackWhoPulled", label = "Announces who pulled.", tip = ""},
				[3] = { var = "trackTimeReleaseHealing", label = "Track healing done (from healers) to targets with Time Release.", tip = ""},
				[4] = { var = "TimeReleaseExpiration", label = "Track Time Release expiration.", tip = "When the target Time Release does not get removed by enough healing on time."},
					[12] = { type = "DropDown", var = "TimeReleaseExpirationAction", label = ":", attachTo = 4, list = { ["Track only"] = 1, ["Announce on chat only"] = 2, ["Track and Announce"] = 3,}},
				[5] = { var = "trackBurstOfTimeDamage", label = "Track Burst of Time total damage taken.", tip = ""},
				[6] = { var = "trackBurstOfTimeDeaths", label = "Track player deaths caused by Burst of Time.", tip = ""},
				[7] = { var = "announceBurstOfTimeDeaths", label = "Announce player deaths caused by Burst of Time.", tip = ""},
				[8] = { var = "trackTemporalOrbDamage", label = "Track Temportal Orb total damage taken.", tip = ""},
				[9] = { var = "trackTemporalOrbDeaths", label = "Track player deaths caused by Temporal Orb.", tip = ""},
				[10] = { var = "announceTemporalOrb", label = "Announce player deaths caused by Temporal Orb.", tip = ""},
				[11] = { var = "trackDamageDoneAdd", label = "Track damage done on Waning Time Particle (when boss HP is at or lower than 30% HP )", tip = "Last set of adds spawn +- at 35% HP. Important for mythic, since the last set of add is the hardest."},
			},
	["Trilliax"] = {
				[2] = { var = "trackWhoPulled", label = "Announces who pulled.", tip = ""},
				[3] = { var = "trackSterilize", label = "[Experimental] Compute a Sterilize Score based on how much each player helped with Sterilize on robots.", tip = ""},
				[4] = { var = "trackCakes", label = "Track the amount of cakes eaten by each player (Stuffed debuff).", tip = ""},
				[5] = { var = "CleansingDestructionSoak", label = "Track Scrubbers' Cleansing Destructiong soaks.", tip = ""},
				[6] = { var = "trackBeamDeaths", label = "Track deaths caused by Annihilation Beam.", tip = ""},
				[7] = { var = "announceBeamDeaths", label = "Announces on chat players deaths caused by Annihilation Beam.", tip = ""},
				[8] = { var = "trackDamage1stImprint", label = "[Mythic] Track damage done to the FIRST Trilliax's Imprint.", tip = ""},
				[9] = { var = "trackDamage2ndImprint", label = "[Mythic] Track damage done to the SECOND Trilliax's Imprint", tip = ""},
			},
	["Spellblade Aluriel"] = {
				[2] = { var = "trackWhoPulled", label = "Announces who pulled.", tip = ""},
				[3] = { var = "trackIceBlock", label = "Track the amount of times each player got frozen (Ice block debuff).", tip = ""},
				[4] = { var = "damageDoneAddFire", label = "Track damage done to Fire Adds (Fiery Enchantment).", tip = ""},
				[5] = { var = "damageDoneAddArcane", label = "Track damage done to Arcane Adds (Arcane Enchantment).", tip = ""},
				[6] = { var = "damageDoneAddFrost", label = "Track damage done to Frost Adds (Icy Enchantment).", tip = ""},
				[7] = { var = "trackAnnihilateDamage", label = "Track non-tanks Annihilated total damage taken.", tip = ""},
				--	[11] = { type = "DropDown", var = "AnnihilateDamageAction", label = "teste1:", attachTo = 7, list = { ["Track damage only"] = 1, ["Announce on chat only"] = 2, ["Track and Announce damage"] = "4",}},
				[8] = { var = "trackAnnihilateDeaths", label = "Track non-tanks deaths caused by Annihilated.", tip = ""},
				--	[12] = { type = "DropDown", var = "AnnihilateDeathsAction", label = "teste2:", attachTo = 8, list = { ["Track deaths only"] = 1, ["Announce on chat only"] = 2, ["Track and Announce deaths"] = "4",}},
				[9] = { var = "announceAnnihilateDeaths", label = "Announce non-tanks deaths caused by Annihilated.", tip = ""},
				[10] = { var = "trackPyroInterrupts", label = "[Experimental] Track missed players interrupt on Pyroblast.", tip = "Still experimental. Whoever is caught by this indeed missed their interupts, but this won't get everyone's misses. Includes Arcane torrent."},
			},
	["Tichondrius"] = {
				[2] = { type = "Check", var = "trackWhoPulled", label = "Announces who pulled.", tip = ""},
				[3] = { var = "CarrionNightmareHit", label = "Carrion Nightmare hits", tip = "", y = 3},
					[4] = { type = "DropDown", var = "CarrionNightmareHitAction", label = ":", attachTo = 3, list = { ["Track only"] = 1, ["Announce on chat only"] = 2, ["Track and Announce"] = 3,}},
				[5] = { var = "CarrionNightmareDeath", label = "Carrion Nightmare deaths", tip = "", y = 3},
					[6] = { type = "DropDown", var = "CarrionNightmareDeathAction", label = ":", attachTo = 5, list = { ["Track only"] = 1, ["Announce on chat only"] = 2, ["Track and Announce"] = 3,}},
				[7] = { var = "EchoesOfTheVoidDamage", label = "Track Echoes of the Void total damage taken.", tip = "", y = 3},
				[8] = { var = "EchoesOfTheVoidDeath", label = "Echoes of the Void deaths", tip = "", y = 3},
					[9] = { type = "DropDown", var = "EchoesOfTheVoidDeathAction", label = ":", attachTo = 9, list = { ["Track only"] = 1, ["Announce on chat only"] = 2, ["Track and Announce"] = 3,}},
				[10] = { var = "TrackFirstDamageDoneBats", label = "Track damage done to bats during FIRST Illusionary Night.", tip = ""},
				[11] = { var = "TrackSecondDamageDoneBats", label = "Track damage done to bats during SECOND Illusionary Night.", tip = ""},				
				[12] = { var = "EndOfNightDeath", label = "[Mythic] End of Night deaths.", tip = "End of Night is the spell that instantly kill you if you don't have an orb debuff after Illusionary Night ends."},				
					[13] = { type = "DropDown", var = "EndOfNightDeathAction", label = ":", attachTo = 13, list = { ["Track only"] = 1, ["Announce on chat only"] = 2, ["Track and Announce"] = 3,}},
				[14] = { var = "trackBatsDeaths", label = "Announce the amount of bats killed until 1 second before the end of Illusionary Night.", tip = "The 1 second offset is to allow people a time reaction to grab the orbs"},				
			},

	["Krosus"] = {
				[2] = { var = "trackWhoPulled", label = "Announces who pulled.", tip = ""},
				[3] = { var = "trackBeamTimesHit", label = "Track Fel Beam total times hit.", tip = ""},
				[4] = { var = "trackBeamDeaths", label = "Track deaths caused by Fel Beam.", tip = ""},
				[5] = { var = "trackBeamDeathAnnounce", label = "Announces deaths to Fel Beam on the chat.", tip = ""},
				[6] = { var = "trackBurningPitSoak", label = "Track Burning Pit soaking (number of times).", tip = ""},
				[7] = { var = "trackDamageToAdds", label = "Track damage done to Burning Ember (adds).", tip = ""},
			},
	["High Botanist Tel'arn"] = {
				[2] = { var = "trackWhoPulled", label = "Announces who pulled.", tip = ""},
				[3] = { var = "trackSolarDamage", label = "Solar Collapse Damage", tip = "", y = 5},
					[4] = { type = "DropDown", var = "SolarDamageAction", label = ":", attachTo = 3, list = { ["Track only"] = 1, ["Announce on chat only"] = 2, ["Track and Announce"] = 3,}},
				[5] = { var = "trackSolarDeath", label = "Solar Collapse Deaths", tip = "", y = 5},
					[6] = { type = "DropDown", var = "SolarDeathsAction", label = ":", attachTo = 5, list = { ["Track only"] = 1, ["Announce on chat only"] = 2, ["Track and Announce"] = 3,}},
				[7] = { var = "trackChaosDamage", label = "Controlled Chaos Damage", tip = "", y = 5},
					[8] = { type = "DropDown", var = "ChaosDamageAction", label = ":", attachTo = 7, list = { ["Track only"] = 1, ["Announce on chat only"] = 2, ["Track and Announce"] = 3,}},
				[9] = { var = "trackChaosDeath", label = "Controlled Chaos Deaths", tip = "", y = 5},
					[10] = { type = "DropDown", var = "ChaosDeathsAction", label = ":", attachTo = 9, list = { ["Track only"] = 1, ["Announce on chat only"] = 2, ["Track and Announce"] = 3,}},
			},
	["Star Augur Etraeus"] = {
				[2] = { var = "trackWhoPulled", label = "Announces who pulled.", tip = "", y = 20},
				
				[3] = { var = "NovasDeath", label = "Frigid & Fel Nova deaths", tip = "", y = 3},
					[4] = { type = "DropDown", var = "NovasDeathAction", label = ":", attachTo = 3, list = { ["Track only"] = 1, ["Announce on chat only"] = 2, ["Track and Announce"] = 3,}},
				[5] = { var = "FrigidPulseDeath", label = "[Mythic] Frigid Pulse deaths", tip = "", y = 30},
					[6] = { type = "DropDown", var = "FrigidPulseDeathAction", label = ":", attachTo = 5, list = { ["Track only"] = 1, ["Announce on chat only"] = 2, ["Track and Announce"] = 3,}},
					
				[7] = { var = "TrackFelFlameDamage", label = "Track Felflame (green puddles) total damage taken", tip = ""},
				[8] = { var = "FelFlameDeath", label = "Felflame deaths", tip = "", y = 3},
					[9] = { type = "DropDown", var = "FelFlameDeathAction", label = ":", attachTo = 8, list = { ["Track only"] = 1, ["Announce on chat only"] = 2, ["Track and Announce"] = 3,}},
				[10] = { var = "FelMeteorDeath", label = "[Mythic] Fel Ember (Fel Meteor) deaths", tip = "", y = 30},
					[11] = { type = "DropDown", var = "FelMeteorDeathAction", label = ":", attachTo = 10, list = { ["Track only"] = 1, ["Announce on chat only"] = 2, ["Track and Announce"] = 3,}},
					
				[12] = { var = "WitnessTheVoid", label = "Witness the void - Add cast", tip = "", y = 3},
					[13] = { type = "DropDown", var = "WitnessTheVoidAction", label = ":", attachTo = 12, list = { ["Track only"] = 1, ["Announce on chat only"] = 2, ["Track and Announce"] = 3,}},
				[14] = { var = "trackDamageBigAdd", label = "Track damage done to Thing That Should Not Be.", tip = ""},
				[15] = { var = "BigEyeBeamDeath", label = "[Mythic] World-Devouring Force deaths", tip = "", y = 3},
					[16] = { type = "DropDown", var = "BigEyeBeamDeathAction", label = ":", attachTo = 15, list = { ["Track only"] = 1, ["Announce on chat only"] = 2, ["Track and Announce"] = 3,}},
			},
	["Elisande"] = {
				[2] = { var = "trackWhoPulled", label = "Announces who pulled.", tip = ""},
				[3] = { var = "trackArcaneRingDamage", label = "Track Arcanetic Ring total damage taken.", tip = ""},
				[4] = { var = "trackArcaneRingDeaths", label = "Track deaths caused by Arcanetic Ring.", tip = ""},
				[5] = { var = "announceArcaneRingDeaths", label = "Announce on chat player deaths caused by Arcanetic Ring.", tip = ""},
				[6] = { var = "trackAblativeInterrupt", label = "[P3] Track missed Ablative Pulse interrupts.", tip = "Still experimental. Whoever is caught by this indeed missed their interupts, but this won't get everyone's misses. Includes Arcane torrent."},
			},
	["Gul'dan"] = {
				[2] = { var = "trackWhoPulled", label = "Announces who pulled.", tip = ""},
				[3] = { var = "FelEffluxDamage", label = "Track Fel Efflux total damage taken.", tip = ""},
				[4] = { var = "FelEffluxDeath", label = "Fel Efflux Deaths", tip = "", y = 5},
					[5] = { type = "DropDown", var = "FelEffluxDeathAction", label = ":", attachTo = 4, list = { ["Track only"] = 1, ["Announce on chat only"] = 2, ["Track and Announce"] = 3,}},
				[6] = { var = "HandOfGuldanDamage", label = "Hand of Gul'dan Damage", tip = "", y = 5},
					[7] = { type = "DropDown", var = "HandOfGuldanDamageAction", label = ":", attachTo = 6, list = { ["Track only"] = 1, ["Announce on chat only"] = 2, ["Track and Announce"] = 3,}},
				[8] = { var = "HandOfGuldanDeath", label = "Hand of Gul'dan Deaths", tip = "", y = 5},
					[9] = { type = "DropDown", var = "HandOfGuldanDeathAction", label = ":", attachTo = 8, list = { ["Track only"] = 1, ["Announce on chat only"] = 2, ["Track and Announce"] = 3,}},
				[10] = { var = "FelScytheHit", label = "Fel Scythe hit on non-tanks", tip = "", y = 5},
					[11] = { type = "DropDown", var = "FelScytheHitAction", label = ":", attachTo = 10, list = { ["Track only"] = 1, ["Announce on chat only"] = 2, ["Track and Announce"] = 3,}},
				[12] = { var = "trackEmpoweredBondsSoak", label = "Track Empowered Bonds total times hit.", tip = ""},
				[13] = { var = "trackFelObeliskHit", label = "Track Fel Obelisk total times hit.", tip = ""},
				[14] = { var = "trackDamageToEmpoweredEye", label = "Track damage done to Empowered Eye of Gul'dan.", tip = ""},
				[15] = { var = "trackSouls", label = "Track the amount of souls soaked by each player.", tip = ""},
			},
}
